// Copyright 2020, Verizon Media Inc.

/**
 * @author Dumitru-Radu.Barbos <dumitru-radu.barbos@verizonmedia.com>
 */

import geometry from '../dom/geometry';

const MOBILE_SCALE_FACTOR = 16 / 9;
const MOBILE_WIDTH_LIMIT = 550;

class MobileMoments {
  static isMobileMomentAd(adData) {
    return !!adData && !!adData.meta && adData.meta.GoldenFormat === 'MobileMoments';
  }

  static computeDisplaySize(position) {
    const size = {
      width: 300,
      height: 533
    };
    const viewport = geometry.getWindowGeometry();
    if (position.config.client.mobileMoments.enabled &&
        viewport.width <= MOBILE_WIDTH_LIMIT && viewport.width < viewport.height) {
      size.width = viewport.width;
      size.height = Math.floor(viewport.width * MOBILE_SCALE_FACTOR);
    }
    return size;
  }
}

export default MobileMoments;
